Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005955 [JEDI VCL] 00 JVCL Components tweak always 2012-08-10 17:49 2012-09-10 14:15
Reporter Arioch View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0005955: JvJVCLUtils: MessageBox function overrides standard one from Windows unit
Description JvJVCLUtils has a number of useful utility functions, like StartWait.

Yet as soon as one includes it, all legacy code using Windows API is broken.

JvJVCLUtils is a kind of unit goos in IMLEMENTATION section, rather than in INTERFACE one. Thus it always gets past Windows unit and override it.

I think it is to be searched if that function is used in JVCL sources and either renamed or even removed completely (though it's check for caption might be useful sometimes).
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0020083)
AHUser (developer)
2012-08-11 22:28

JvJVCLUtils.MessageBox is removed with svn revision 13389. Code that used that specific function should be updated to use JvMessageBox instead of directly call the Windows MessageBox function.

- Issue History
Date Modified Username Field Change
2012-08-10 17:49 Arioch New Issue
2012-08-11 22:28 AHUser Note Added: 0020083
2012-08-11 22:28 AHUser Status new => resolved
2012-08-11 22:28 AHUser Fixed in Version => Daily / SVN
2012-08-11 22:28 AHUser Resolution open => fixed
2012-08-11 22:28 AHUser Assigned To => AHUser
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker